pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor Class Referenceabstract

`#include <pcl/registration/ia_ransac.h>`

Inheritance diagram for pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor:

## Public Types

using | Ptr = shared_ptr< ErrorFunctor >
using | ConstPtr = shared_ptr< const ErrorFunctor >

## Public Member Functions

virtual | ~ErrorFunctor ()=default
virtual float | operator() (float d) const =0

## Detailed Description

### template<typename PointSource, typename PointTarget, typename FeatureT>
class pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor

Definition at line 90 of file ia_ransac.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointSource , typename PointTarget , typename FeatureT >

using pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::ConstPtr = shared_ptr<const ErrorFunctor>

Definition at line 93 of file ia_ransac.h.

## Ptr

template<typename PointSource , typename PointTarget , typename FeatureT >

using pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::Ptr = shared_ptr<ErrorFunctor>

Definition at line 92 of file ia_ransac.h.

## Constructor & Destructor Documentation

## ~ErrorFunctor()

template<typename PointSource , typename PointTarget , typename FeatureT >

virtual pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::~ErrorFunctor | ( |  | ) |

virtual default

## Member Function Documentation

## operator()()

template<typename PointSource , typename PointTarget , typename FeatureT >

virtual float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::operator() | ( | float | d | ) | const

pure virtual

Implemented in pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError, and pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty.

The documentation for this class was generated from the following file:

- pcl/registration/ia_ransac.h